
package de.ivu.elect.business.gebietsbaum.boundary;

import java.util.Collection;

import javax.enterprise.inject.Specializes;
import javax.inject.Inject;

import de.ivu.elect.business.WusFeaturesAktiviert;

@Specializes
public class WasAnzulegendeGebietsartCreator extends CoreAnzulegendeGebietsartCreator {

  private static final long serialVersionUID = 1L;

  @Inject
  private transient WusFeaturesAktiviert wusFeaturesAktiviert;

  public WasAnzulegendeGebietsartCreator() {
    super();
  }

  @Override
  public Collection< ? extends GebietsartTemplate> getAnzulegendeGebietsartTemplates() {
    if (wusFeaturesAktiviert.isWusOderWusWasZusammen()) {
      return getAnzulegendeGebietsartTemplatesWus();
    }

    return super.getAnzulegendeGebietsartTemplates();
  }
}
